(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["react-criteria-table"] = factory();
	else
		root["react-criteria-table"] = factory();
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/CloseNotificationButton/CloseNotificationButton.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CloseNotificationButton = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/index.ts");

var _CloseNotificationButtonProps = __webpack_require__("./src/CloseNotificationButton/CloseNotificationButtonProps.tsx");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CloseNotificationButton = exports.CloseNotificationButton = function (_React$Component) {
    _inherits(CloseNotificationButton, _React$Component);

    function CloseNotificationButton() {
        _classCallCheck(this, CloseNotificationButton);

        var _this = _possibleConstructorReturn(this, (CloseNotificationButton.__proto__ || Object.getPrototypeOf(CloseNotificationButton)).apply(this, arguments));

        _this.handleClick = function (event) {
            _this.props.onClick && _this.props.onClick(event);
            _this.context.deleteNotification(_this.props.notificationId);
        };
        return _this;
    }

    _createClass(CloseNotificationButton, [{
        key: "render",
        value: function render() {
            return React.createElement("button", { type: "button", onClick: this.handleClick }, this.props.children);
        }
    }]);

    return CloseNotificationButton;
}(React.Component);

CloseNotificationButton.defaultProps = _CloseNotificationButtonProps.CloseNotificationButtonDefaultProps;
CloseNotificationButton.contextTypes = _NotificationProvider.NotificationProviderContextTypes;
CloseNotificationButton.propTypes = _CloseNotificationButtonProps.CloseNotificationButtonPropTypes;

/***/ }),

/***/ "./src/CloseNotificationButton/CloseNotificationButtonProps.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CloseNotificationButtonDefaultProps = exports.CloseNotificationButtonPropTypes = undefined;

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _propTypes = __webpack_require__("prop-types");

var PropTypes = _interopRequireWildcard(_propTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var CloseNotificationButtonPropTypes = exports.CloseNotificationButtonPropTypes = {
    notificationId: PropTypes.string.isRequired
};
var CloseNotificationButtonDefaultProps = exports.CloseNotificationButtonDefaultProps = {
    children: React.createElement("i", { className: "icon icon-close" })
};

/***/ }),

/***/ "./src/CloseNotificationButton/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _CloseNotificationButton = __webpack_require__("./src/CloseNotificationButton/CloseNotificationButton.tsx");

Object.keys(_CloseNotificationButton).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _CloseNotificationButton[key];
    }
  });
});

/***/ }),

/***/ "./src/NotificationContainer/NotificationContainer.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NotificationContainer = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/index.ts");

var _NotificationItem = __webpack_require__("./src/NotificationItem/index.ts");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NotificationContainer = exports.NotificationContainer = function (_React$Component) {
    _inherits(NotificationContainer, _React$Component);

    function NotificationContainer() {
        _classCallCheck(this, NotificationContainer);

        return _possibleConstructorReturn(this, (NotificationContainer.__proto__ || Object.getPrototypeOf(NotificationContainer)).apply(this, arguments));
    }

    _createClass(NotificationContainer, [{
        key: "render",
        value: function render() {
            return this.list;
        }
    }, {
        key: "list",
        get: function get() {
            return this.context.notificationsList.map(function (item) {
                return React.createElement(_NotificationItem.NotificationItem, Object.assign({}, item, { key: item.id }));
            });
        }
    }]);

    return NotificationContainer;
}(React.Component);

NotificationContainer.contextTypes = _NotificationProvider.NotificationProviderContextTypes;

/***/ }),

/***/ "./src/NotificationContainer/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _NotificationContainer = __webpack_require__("./src/NotificationContainer/NotificationContainer.tsx");

Object.keys(_NotificationContainer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationContainer[key];
    }
  });
});

/***/ }),

/***/ "./src/NotificationItem/NotificationItem.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NotificationItem = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/index.ts");

var _CloseNotificationButton = __webpack_require__("./src/CloseNotificationButton/index.ts");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NotificationItemDefaultProps = {
    level: _NotificationProvider.Level.INFO
};

var NotificationItem = exports.NotificationItem = function (_React$Component) {
    _inherits(NotificationItem, _React$Component);

    function NotificationItem() {
        _classCallCheck(this, NotificationItem);

        return _possibleConstructorReturn(this, (NotificationItem.__proto__ || Object.getPrototypeOf(NotificationItem)).apply(this, arguments));
    }

    _createClass(NotificationItem, [{
        key: "render",
        value: function render() {
            return React.createElement("div", { "data-level": this.props.level }, React.createElement("span", null, this.props.message), React.createElement(_CloseNotificationButton.CloseNotificationButton, { notificationId: this.props.id }));
        }
    }]);

    return NotificationItem;
}(React.Component);

NotificationItem.propTypes = _NotificationProvider.NotificationPropTypes;
NotificationItem.defaultProps = NotificationItemDefaultProps;

/***/ }),

/***/ "./src/NotificationItem/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _NotificationItem = __webpack_require__("./src/NotificationItem/NotificationItem.tsx");

Object.keys(_NotificationItem).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationItem[key];
    }
  });
});

/***/ }),

/***/ "./src/NotificationProvider/NotificationProvider.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NotificationProvider = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _NotificationStorage = __webpack_require__("./src/NotificationStorage/index.ts");

var _NotificationProviderInterface = __webpack_require__("./src/NotificationProvider/NotificationProviderInterface.ts");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NotificationProvider = exports.NotificationProvider = function (_React$Component) {
    _inherits(NotificationProvider, _React$Component);

    function NotificationProvider(props) {
        _classCallCheck(this, NotificationProvider);

        var _this = _possibleConstructorReturn(this, (NotificationProvider.__proto__ || Object.getPrototypeOf(NotificationProvider)).call(this, props));

        _this.storage = _this.props.storage || new _NotificationStorage.NotificationStorage();
        _this.createNotification = function (params) {
            var id = _this.storage.writeItem(params);
            _this.forceUpdate();
        };
        _this.deleteNotification = function (id) {
            _this.storage.deleteItem(id);
            _this.forceUpdate();
        };
        _this.storage.bindUpdater(_this.forceUpdate.bind(_this));
        return _this;
    }

    _createClass(NotificationProvider, [{
        key: "getChildContext",
        value: function getChildContext() {
            return {
                createNotification: this.createNotification,
                deleteNotification: this.deleteNotification,
                notificationsList: this.storage.getList()
            };
        }
    }, {
        key: "render",
        value: function render() {
            return this.props.children;
        }
    }]);

    return NotificationProvider;
}(React.Component);

NotificationProvider.childContextTypes = _NotificationProviderInterface.NotificationProviderContextTypes;
NotificationProvider.propTypes = _NotificationProviderInterface.NotificationProviderPropTypes;

/***/ }),

/***/ "./src/NotificationProvider/NotificationProviderInterface.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.NotificationProviderContextTypes = exports.NotificationPropTypes = exports.NotificationProviderPropTypes = exports.Level = undefined;

var _propTypes = __webpack_require__("prop-types");

var PropTypes = _interopRequireWildcard(_propTypes);

var _NotificationStorage = __webpack_require__("./src/NotificationStorage/index.ts");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var Level = exports.Level = undefined;
(function (Level) {
    Level["INFO"] = "INFO";
    Level["ERROR"] = "ERROR";
    Level["SUCCESS"] = "SUCCESS";
})(Level || (exports.Level = Level = {}));
var NotificationProviderPropTypes = exports.NotificationProviderPropTypes = {
    storage: PropTypes.instanceOf(_NotificationStorage.NotificationStorage)
};
var NotificationPropTypes = exports.NotificationPropTypes = {
    message: PropTypes.string.isRequired,
    id: PropTypes.string.isRequired,
    lifeTime: PropTypes.number,
    level: PropTypes.string
};
var NotificationProviderContextTypes = exports.NotificationProviderContextTypes = {
    createNotification: PropTypes.func.isRequired,
    deleteNotification: PropTypes.func.isRequired,
    notificationsList: PropTypes.arrayOf(PropTypes.shape(NotificationPropTypes).isRequired).isRequired
};

/***/ }),

/***/ "./src/NotificationProvider/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/NotificationProvider.tsx");

Object.keys(_NotificationProvider).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationProvider[key];
    }
  });
});

var _NotificationProviderInterface = __webpack_require__("./src/NotificationProvider/NotificationProviderInterface.ts");

Object.keys(_NotificationProviderInterface).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationProviderInterface[key];
    }
  });
});

/***/ }),

/***/ "./src/NotificationStorage/NotificationStorage.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var NotificationStorage = exports.NotificationStorage = function NotificationStorage() {
    var _this = this;

    _classCallCheck(this, NotificationStorage);

    this.history = new Map();
    this.notificationsTimers = new Map();
    this.bindUpdater = function (updater) {
        _this.updateProvider = updater;
    };
    this.writeItem = function (item) {
        var id = "react_notify_" + Date.now();
        _this.history.set(id, item);
        if (item.lifeTime > 0) {
            _this.notificationsTimers.set(id, setTimeout(function () {
                return _this.deleteItem(id);
            }, item.lifeTime));
        }
        return id;
    };
    this.getItem = function (id) {
        if (!_this.history.has(id)) {
            return null;
        }
        return Object.assign({}, _this.history.get(id), { id: id });
    };
    this.deleteItem = function (id) {
        clearTimeout(_this.notificationsTimers.get(id));
        _this.notificationsTimers.delete(id);
        _this.history.delete(id);
        _this.updateProvider && _this.updateProvider();
    };
    this.getList = function () {
        var notifications = [];
        _this.history.forEach(function (item, id) {
            notifications.push(Object.assign({}, item, { id: id }));
        });
        return notifications;
    };
};

/***/ }),

/***/ "./src/NotificationStorage/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _NotificationStorage = __webpack_require__("./src/NotificationStorage/NotificationStorage.ts");

Object.keys(_NotificationStorage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationStorage[key];
    }
  });
});

/***/ }),

/***/ "./src/index.ts":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _NotificationItem = __webpack_require__("./src/NotificationItem/index.ts");

Object.keys(_NotificationItem).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationItem[key];
    }
  });
});

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/index.ts");

Object.keys(_NotificationProvider).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationProvider[key];
    }
  });
});

var _NotificationContainer = __webpack_require__("./src/NotificationContainer/index.ts");

Object.keys(_NotificationContainer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationContainer[key];
    }
  });
});

var _CloseNotificationButton = __webpack_require__("./src/CloseNotificationButton/index.ts");

Object.keys(_CloseNotificationButton).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _CloseNotificationButton[key];
    }
  });
});

var _NotificationStorage = __webpack_require__("./src/NotificationStorage/index.ts");

Object.keys(_NotificationStorage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _NotificationStorage[key];
    }
  });
});

var _withNotification = __webpack_require__("./src/withNotification.tsx");

Object.keys(_withNotification).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _withNotification[key];
    }
  });
});

/***/ }),

/***/ "./src/withNotification.tsx":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.withNotification = withNotification;

var _react = __webpack_require__("react");

var React = _interopRequireWildcard(_react);

var _NotificationProvider = __webpack_require__("./src/NotificationProvider/index.ts");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function withNotification(WrappedComponent) {
    var _a;
    return _a = function (_React$Component) {
        _inherits(WithNotification, _React$Component);

        function WithNotification() {
            _classCallCheck(this, WithNotification);

            return _possibleConstructorReturn(this, (WithNotification.__proto__ || Object.getPrototypeOf(WithNotification)).apply(this, arguments));
        }

        _createClass(WithNotification, [{
            key: "render",
            value: function render() {
                return React.createElement(WrappedComponent, Object.assign({}, this.props, this.context));
            }
        }]);

        return WithNotification;
    }(React.Component), _a.displayName = "withNotification(" + WrappedComponent.displayName + ")", _a.contextTypes = _NotificationProvider.NotificationProviderContextTypes, _a;
}

/***/ }),

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("./src/index.ts");


/***/ }),

/***/ "prop-types":
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),

/***/ "react":
/***/ (function(module, exports) {

module.exports = require("react");

/***/ })

/******/ });
});