import * as React from "react";
import { NotificationProviderContext, NotificationProviderProps, CreateNotificationParams } from "./NotificationProviderInterface";
export declare class NotificationProvider extends React.Component<NotificationProviderProps> {
    static readonly childContextTypes: {
        createNotification: import("../../node_modules/@types/prop-types/index").Validator<any>;
        deleteNotification: import("../../node_modules/@types/prop-types/index").Validator<any>;
        notificationsList: import("../../node_modules/@types/prop-types/index").Validator<any>;
    };
    static readonly propTypes: {
        storage?: import("../../node_modules/@types/prop-types/index").Validator<any>;
    };
    private storage;
    constructor(props: any);
    getChildContext(): NotificationProviderContext;
    render(): React.ReactNode;
    protected createNotification: (params: CreateNotificationParams) => void;
    protected deleteNotification: (id: string) => void;
}
