import { NotificationInterface, CreateNotificationParams } from "../NotificationProvider";
export declare class NotificationStorage {
    updateProvider?: () => void;
    private history;
    private notificationsTimers;
    bindUpdater: (updater: () => void) => void;
    writeItem: (item: CreateNotificationParams) => string;
    getItem: (id: string) => NotificationInterface;
    deleteItem: (id: string) => void;
    getList: () => NotificationInterface[];
}
