import * as React from "react";
import { NotificationInterface } from "../NotificationProvider";
export declare class NotificationItem extends React.Component<NotificationInterface> {
    static readonly propTypes: {
        id: import("../../node_modules/@types/prop-types/index").Validator<any>;
        message: import("../../node_modules/@types/prop-types/index").Validator<any>;
        lifeTime?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        level?: import("../../node_modules/@types/prop-types/index").Validator<any>;
    };
    static readonly defaultProps: {
        id?: string;
        message?: string;
        lifeTime?: number;
        level?: "INFO" | "ERROR" | "SUCCESS";
    };
    render(): React.ReactNode;
}
